All Apps and Add-ons

TA-uas_parser: Why am I getting an error trying to update cache?

Explorer

Hi there,

I tried the command below as suggested from the documentation page, however, an error was prompted. Any ideas?
Thank you!

D:\Program Files\Splunk\etc\apps\TA-uas_parser\bin>"D:\Program Files\Splunk\"bin
\splunk cmd python update_cache.py
Traceback (most recent call last):
  File "update_cache.py", line 4, in 
    results = uas_parser.updateData()
  File "D:\Program Files\Splunk\etc\apps\TA-uas_parser\bin\uasparser.py", line 2
65, in updateData
    raise UASException("Failed to get version of lastest data")
uasparser.UASException: Failed to get version of lastest data
Tags (1)

Explorer

The data source in question went subscription based and changed the URL.

Updatecache looks for a version number at: http://user-agent-string.info/rpc/getdata.php?key=free&format=ini&ver=y however, that now returns:

ERROR 404 - These data are not longer available on user-agent-string.info, please look at http://udger.com/resources/download

Once you purchase a subscription, you would need to modify the URLs in the uasparser.py file according to:
https://udger.com/support/documentation/?doc=31

Explorer

Were you able to resolve this? I am on Linux but running into the same problem. Thanks in advance.

0 Karma

New Member

I am also getting the same error. Any one resolved this issue?

0 Karma

Explorer

As a follow up, in my case, my splunk instance is actively accumulating log data in real time. Might this be part of the problem?

0 Karma